[med-svn] [Git][med-team/lefse][master] Include an autopkgtest

Shayan Doust gitlab at salsa.debian.org
Wed Sep 11 15:20:42 BST 2019



Shayan Doust pushed to branch master at Debian Med / lefse


Commits:
3295faf2 by Shayan Doust at 2019-09-11T14:19:31Z
Include an autopkgtest
Simple comparative tests to see if installed files return an expected output

- - - - -


2 changed files:

- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,60 @@
+#!/bin/bash
+set -e
+
+# Run comparative tests to see if we get an expected default output. Test installed files so no need to move them.
+
+# run_lefse
+if [[ $(run_lefse 2>&1) = "usage: run_lefse [-h]"* ]]; then
+	echo "run_lefse comparative pass"
+else
+	echo "run_lefse comparative fail"
+	exit 1
+fi
+
+# format_input
+if [[ $(format_input 2>&1) = "usage: format_input [-h]"* ]]; then
+	echo "format_input comparative pass"
+else
+	echo "format_input comparative fail"
+	exit 1
+fi 
+
+# lefse2circlader
+if [[ $(lefse2circlader -h 2>&1) = "usage: lefse2circlader [-h]"* ]]; then
+	echo "lefse2circlader comparative pass"
+else
+	echo "lefse2circlader comparative fail"
+	exit 1
+fi
+
+# plot_cladogram
+if [[ $(plot_cladogram 2>&1) = "usage: plot_cladogram [-h]"* ]]; then
+	echo "plot_cladogram comparative pass"
+else
+	echo "plot_cladogram comparative fail"
+	exit 1
+fi
+
+# plot_features
+if [[ $(plot_features 2>&1) = "usage: plot_features [-h]"* ]]; then
+	echo "plot_features comparative pass"
+else
+	echo "plot_features comparative fail"
+	exit 1
+fi
+
+# plo_res
+if [[ $(plot_res 2>&1) = "usage: plot_res [-h]"* ]]; then
+	echo "plot_res comparative pass"
+else
+	echo "plot_res comparative fail"
+	exit 1
+fi
+
+# qiime2lefse
+if [[ $(qiime2lefse -h 2>&1) = "usage: qiime2lefse [-h]"* ]]; then
+	echo "qiime2lefse comparative pass"
+else
+	echo "qiime2lefse comparative fail"
+	exit 1
+fi



View it on GitLab: https://salsa.debian.org/med-team/lefse/commit/3295faf2f0be49bff623d39f6bf6d3efadbcab90

-- 
View it on GitLab: https://salsa.debian.org/med-team/lefse/commit/3295faf2f0be49bff623d39f6bf6d3efadbcab90
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190911/87ba97b2/attachment-0001.html>


More information about the debian-med-commit mailing list